<?php

namespace Drupal\druhels;

class UserHelper {

  /**
   * Return TRUE if current user has role.
   */
  public static function currentUserHasRole(string $role): bool {
    return in_array($role, \Drupal::currentUser()->getRoles());
  }

  /**
   * Return TRUE if current user is administrator.
   */
  public static function currentUserIsAdmin(): bool {
    return self::currentUserHasRole('administrator');
  }

}
